"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateSubentryPublicAPI = void 0;
const find_module_1 = require("@schematics/angular/utility/find-module");
const path_helper_1 = require("../../shared/path-helper");
const update_public_api_rule_1 = require("./update-public-api.rule");
function updateSubentryPublicAPI(filePath) {
    return (tree) => {
        const directoryPath = (0, path_helper_1.getFileDirectoryPath)(filePath);
        const relativeFilePaths = getRelativePathsToFilesInDirectory(tree, filePath);
        return (0, update_public_api_rule_1.updatePublicAPI)(directoryPath, relativeFilePaths);
    };
}
exports.updateSubentryPublicAPI = updateSubentryPublicAPI;
function getRelativePathsToFilesInDirectory(tree, filePath) {
    const relativeFilePaths = [];
    tree.getDir((0, path_helper_1.getFileDirectoryPath)(filePath)).visit((fileName) => {
        if (needsToBeExported(fileName)) {
            relativeFilePaths.push((0, find_module_1.buildRelativePath)(filePath, fileName));
        }
    });
    return relativeFilePaths;
}
function needsToBeExported(fileName) {
    return (fileName.endsWith('ts') && !fileName.endsWith('index.ts') && !fileName.endsWith('public-api.ts'));
}
//# sourceMappingURL=update-subentry-public-api.rule.js.map