"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateTopLevelPublicAPI = void 0;
const path_helper_1 = require("../../shared/path-helper");
const update_public_api_rule_1 = require("./update-public-api.rule");
function updateTopLevelPublicAPI(modulePaths) {
    return (tree) => {
        const sourceRootPath = (0, path_helper_1.getSourceRootPath)(tree);
        const publicAPIPaths = modulePaths.map((modulePath) => (0, path_helper_1.convertModulePathToPublicAPIImport)(modulePath));
        return (0, update_public_api_rule_1.updatePublicAPI)(sourceRootPath, publicAPIPaths);
    };
}
exports.updateTopLevelPublicAPI = updateTopLevelPublicAPI;
//# sourceMappingURL=update-top-level-public-api.rule.js.map